---
title: Get snapshot
slug: topic-api/get-snapshot
docTags: 
createdAt: 2024-06-10T16:49:07.009Z
---

{
  "id": "LPRs3t1e_i0LuiVTvvo97",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id}/snapshot",
    "servers": [
      {
        "url": "https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id}/snapshot"
      }
    ],
    "name": "Get snapshot",
    "description": "Get the snapshot of a topic viewpoint.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "topic-board-id",
          "type": "string",
          "example": "e18a2d10-1595-4e52-a941-22d43bf8d7ad",
          "description": "Id of the topic board"
        },
        {
          "kind": "required",
          "name": "topic-id",
          "type": "string",
          "example": "18d0273d-e15c-4924-97b3-6f47b233eebe",
          "description": "Topic id"
        },
        {
          "kind": "required",
          "name": "viewpoint-id",
          "type": "string",
          "example": "52959166-dbd2-44eb-81bb-74f955f30e0f",
          "description": "Id of viewpoint"
        }
      ],
      "headerParameters": [],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "bimsync-image-size",
          "type": "string",
          "description": "<p>Resize the image, valid values are \"xs\" (130px), \"s\" (220px), \"m\" (400px), \"l\" (600px), \"xl\" (1200px), \"full\" (original)</p>"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Bearer",
          "kind": "optional",
          "type": "http",
          "scheme": "bearer"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "The PNG snapshot image.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "xTYLZBFndqeQFecxdJ681",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id}/snapshot \\\n     --header 'accept: application/json'"
        },
        {
          "id": "ak4f4nCsASRQyei_n-qRd",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id}/snapshot\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "4-ZBwdL1hnRWncXqh7wKw",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id}/snapshot\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "KzIoI5kXF28SR_jo9zc6o",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/viewpoints/{viewpoint-id}/snapshot\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "xTYLZBFndqeQFecxdJ681"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// The PNG snapshot image.\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}